Skip to main content
POST
/
b2b
/
verifications
/
{user}
/
url
Submit Verification from URL
curl --request POST \
  --url https://nexus.kraken.com/b2b/verifications/{user}/url \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "identity_document",
  "metadata": {
    "identity": {
      "full_name": {
        "first_name": "<string>",
        "last_name": "<string>",
        "middle_name": "<string>"
      },
      "date_of_birth": "2023-03-13"
    },
    "document_type": "passport",
    "document_number": "<string>",
    "issuing_country": "AD",
    "verifier": "<string>",
    "verified_at": "2023-03-13T12:34:56Z",
    "nationality": "AD",
    "verifier_response": "<unknown>",
    "external_verification_id": "<string>",
    "expiration_date": "2023-03-13"
  },
  "front_url": "<string>",
  "back_url": "<string>",
  "verifier_response_url": "<string>"
}
'
{
  "result": {
    "verification_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

user
string
required

Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42

Body

application/json
type
enum<string>
required
Available options:
identity_document
metadata
object
required

Metadata about the verification.

front_url
string
required

Presigned URL to the front side of the identity document. The filename will be extracted from the URL path.

back_url
string | null

Presigned URL to the back side of the identity document (optional). The filename will be extracted from the URL path.

verifier_response_url
string | null

Presigned URL to the verifier response document (optional). The filename will be extracted from the URL path.

Response

Response

result
object